curl --request POST \
--url https://sandbox.birrpay.io/api_keys/{merchant_id} \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"name": "Sandbox integration key",
"expiration": "never",
"description": "Key used by our developers to integrate with the sandbox environment"
}
'import requests
url = "https://sandbox.birrpay.io/api_keys/{merchant_id}"
payload = {
"name": "Sandbox integration key",
"expiration": "never",
"description": "Key used by our developers to integrate with the sandbox environment"
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Sandbox integration key',
expiration: 'never',
description: 'Key used by our developers to integrate with the sandbox environment'
})
};
fetch('https://sandbox.birrpay.io/api_keys/{merchant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key_id": "5hEEqkgJUyuxgSKGArHA4mWSnX",
"merchant_id": "y3oqhf46pyzuxjbcn2giaqnb44",
"name": "Sandbox integration key",
"api_key": "<string>",
"created": "2022-09-10T10:11:12Z",
"expiration": "never",
"description": "Key used by our developers to integrate with the sandbox environment"
}API Key - Create
Create a new API Key for accessing our APIs from your servers. The plaintext API Key will be displayed only once on creation, so ensure you store it securely.
Authorizations
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.
Path Parameters
The unique identifier for the merchant account
Body
The request body for creating an API Key.
A unique name for the API Key to help you identify it.
64"Sandbox integration key"
never A description to provide more context about the API Key.
256"Key used by our developers to integrate with the sandbox environment"
Response
API Key created
The response body for creating an API Key.
The identifier for the API Key.
64"5hEEqkgJUyuxgSKGArHA4mWSnX"
The identifier for the Merchant Account.
64"y3oqhf46pyzuxjbcn2giaqnb44"
The unique name for the API Key to help you identify it.
64"Sandbox integration key"
The plaintext API Key used for server-side API access. Ensure you store the API Key securely as you will not be able to see it again.
128The time at which the API Key was created.
"2022-09-10T10:11:12Z"
never The description to provide more context about the API Key.
256"Key used by our developers to integrate with the sandbox environment"